Disable Connection Pooler for a Read Replica
curl --request POST \
--url https://console.cloud.timescale.com/public/api/v1/projects/{project_id}/services/{service_id}/replicaSets/{replica_set_id}/disablePooler \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://console.cloud.timescale.com/public/api/v1/projects/{project_id}/services/{service_id}/replicaSets/{replica_set_id}/disablePooler"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://console.cloud.timescale.com/public/api/v1/projects/{project_id}/services/{service_id}/replicaSets/{replica_set_id}/disablePooler', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Action completed successfully."
}{
"code": "<string>",
"message": "<string>"
}Disable Connection Pooler for a Read Replica
Deactivates the connection pooler for a specific read replica set.
POST
/
projects
/
{project_id}
/
services
/
{service_id}
/
replicaSets
/
{replica_set_id}
/
disablePooler
Disable Connection Pooler for a Read Replica
Authorizations
HTTP Basic Authentication using your Tiger Cloud public key and secret key.
Format: Authorization: Basic <base64(public_key:secret_key)>
Example:
curl -X GET "https://console.cloud.timescale.com/public/api/v1/projects/{project_id}/services" \
-H "Authorization: Basic $(echo -n 'your_public_key:your_secret_key' | base64)"
Path Parameters
The unique identifier of the project.
Example:
"rp1pz7uyae"
The unique identifier of the service.
Example:
"d1k5vk7hf2"
The unique identifier of the read replica set.
Example:
"alb8jicdpr"
Response
The action was completed successfully.
Example:
"Action completed successfully."